# Remove physics, numeric, scipy configurations and corresponding modules
%def_without science

Summary: IPython - An enhanced interactive Python shell
Name: ipython
Version: 0.7.1.fix1
Release: alt1.1
Source0: %name-%version.tar.gz
License: LGPL, see LICENSE
Group: Development/Python
Url: http://ipython.scipy.org
BuildArchitectures: noarch

Requires: python = %__python_version
BuildPreReq: python-devel >= %__python_version
%set_python_req_method "strict"
AutoProv: off

%add_python_req_skip IPython _winreg matplotlib msvcrt ipy_system_conf ipy_user_conf

# Those are detected in run-time
%add_python_req_skip Tkinter gobject gtk qt wx wxPython wxversion

BuildRequires: python-base python-dev python-modules-compiler python-modules-encodings

%description
IPython provides a replacement for the interactive Python interpreter with
extra functionality.
        
Main features:        
* Comprehensive object introspection.
* Input history, persistent across sessions.
* Caching of output results during a session with automatically generated
  references.
* Readline based name completion.
* Extensible system of 'magic' commands for controlling the environment and
  performing many tasks related either to IPython or the operating system.
* Configuration system with easy switching between different setups (simpler
  than changing $PYTHONSTARTUP environment variables every time).
* Session logging and reloading.
* Extensible syntax processing for special purpose situations.
* Access to the system shell with user-extensible alias system.
* Easily embeddable in other Python programs.
* Integrated access to the pdb debugger and the Python profiler.

%prep
%setup -q

%if_without science
  %__rm -f IPython/{Gnuplot2.py,GnuplotInteractive.py,GnuplotRuntime.py,numutils.py}
  %__rm -f IPython/Extensions/PhysicalQInteractive.py
  %__rm -f IPython/UserConfig/ipythonrc-{numeric,physics,scipy}
%endif

%build
%__python setup.py build

%install
%__python setup.py install --root=$RPM_BUILD_ROOT --optimize=2

%files
%_bindir/*
%_mandir/man1/*
%_docdir/%name-%version
%python_sitelibdir/IPython

%changelog
* Thu Jan 24 2008 Grigory Batalov <bga@altlinux.ru> 0.7.1.fix1-alt1.1
- Rebuilt with python-2.5.

* Sun Mar 05 2006 Leonid Shalupov <shalupov@altlinux.ru> 0.7.1.fix1-alt1
- 0.7.1.fix1
- stripped requires of runtime-detected frameworks: tk gtk qt wx (#7140)

* Thu Jun 16 2005 Leonid Shalupov <shalupov@altlinux.ru> 0.6.15-alt1
- 0.6.15

* Sat Feb 19 2005 Leonid Shalupov <shalupov@altlinux.ru> 0.6.11-alt1
- Initial build
